curl --request PUT \
--url https://api.backside.app/api/v1/webhook-endpoints/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channels": [
"<string>"
],
"description": "<string>",
"event_types": [
"<string>"
],
"is_enabled": true,
"url": "<string>"
}
'{
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_enabled": true,
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"channels": [
"<string>"
],
"description": "<string>",
"disabled_at": "2023-11-07T05:31:56Z",
"disabled_reason": "<string>",
"event_types": [
"<string>"
],
"signing_secret": "<string>"
}curl --request PUT \
--url https://api.backside.app/api/v1/webhook-endpoints/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channels": [
"<string>"
],
"description": "<string>",
"event_types": [
"<string>"
],
"is_enabled": true,
"url": "<string>"
}
'{
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_enabled": true,
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"channels": [
"<string>"
],
"description": "<string>",
"disabled_at": "2023-11-07T05:31:56Z",
"disabled_reason": "<string>",
"event_types": [
"<string>"
],
"signing_secret": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Webhook endpoint ID
Endpoint updated
Endpoint response. signing_secret is only populated on create and rotate.
Was this page helpful?